NewsFox 1.0.4.1

End-User License Agreement

NewsFox requires that you accept the following End-User License Agreement before installation can proceed:

The addon is released under MPL 1.1/GPL 2.0/LGPL 2.1.

Back to NewsFox…